Bug 1854133 - failed to initialize the cluster: Cluster operator openshift-controller-manager is still updating (operator version not set)
Summary: failed to initialize the cluster: Cluster operator openshift-controller-manag...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-controller-manager
Version: 4.3.z
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.3.z
Assignee: Gabe Montero
QA Contact: wewang
URL:
Whiteboard: devex
Depends On: 1852249
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-06 14:07 UTC by Gabe Montero
Modified: 2020-08-05 10:54 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: timing windows existed where the openshift controller manager operator would set its progressing condition to false even though it had not registered its version Consequence: the openshift controller manager operator would not fully satisfy its contract with the install/upgrade and the install/upgrade would ultimately fail Fix: the timing window which allowed progressing to be set to false prior to setting the version was corrected via code change Result: the openshift controller manager operator now more readily reports both its version and its progressing condition upon successful install/upgrade
Clone Of: 1852249
Environment:
Last Closed: 2020-08-05 10:54:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-openshift-controller-manager-operator pull 161 None closed Bug 1854133: ensure progressing is not set to false if version is missing 2020-07-31 17:55:35 UTC
Red Hat Product Errata RHBA-2020:3180 None None None 2020-08-05 10:54:47 UTC

Comment 5 errata-xmlrpc 2020-08-05 10:54:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.3.31 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3180


Note You need to log in before you can comment on or make changes to this bug.